# Class CIM_J2eeConnectionFactoryAvailableToJCAResource
extends CIM_HostedDependency

CIM_J2eeConnectionFactoryAvailableToJCAResource is an association that identifies the connection factory that is available to a CIM_J2eeJCAResource object.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_HostedDependency
|
+--CIM_J2eeConnectionFactoryAvailableToJCAResource

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | CIM_J2eeConnectionFactoryAvailableToJCAResource is an association that identifies the connection factory that is available to a CIM_J2eeJCAResource object.
UMLPackagePath | string | CIM::Application::J2eeAppServer
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_J2eeConnectionFactoryAvailableToJCAResource | CIM_J2eeJCAConnectionFactory
Dependent | CIM_J2eeConnectionFactoryAvailableToJCAResource | CIM_J2eeJCAResource

## Class Methods